classification
Title: Fix flake8 warning F401: ... imported but unused
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka, terry.reedy, vstinner
Priority: normal Keywords: patch

Created on 2017-11-28 15:07 by vstinner, last changed 2018-05-29 21:52 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4614 closed vstinner, 2017-11-28 15:19
Messages (4)
msg307126 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-28 15:07
Attached PR removes unused imports.
msg307141 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-28 16:18
I suggest to split your patch on several PR for different domains, and let the domain experts review changes separately. IDLE changes look mostly harmless to me. But changes in distutils should be made with a large care.
msg307205 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-11-29 03:18
Idlelib deletions done.
pathbrowser, #32100, PR-4626
configdialog, #30781, PR-4627
msg318106 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-29 21:52
> I suggest to split your patch on several PR for different domains, and let the domain experts review changes separately.

Right. I should recreate multiple PRs with fewer changes per PR.

I close this issue.
History
Date User Action Args
2018-05-29 21:52:08vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg318106

stage: patch review -> resolved
2017-11-29 03:18:12terry.reedysetnosy: + terry.reedy
messages: + msg307205
2017-11-28 16:18:49serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg307141
2017-11-28 15:19:31vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request4529
2017-11-28 15:07:16vstinnercreate